%define name	gammu
%define version	1.35.0
%define release	%mkrel 1

%define major 7
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary:		Mobile phones tools for Unix (Linux) and Win32
Summary(de):		Mobiltelefon-Werkzeuge für Unix (Linux) und Win32
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPLv2+
Group:			Communications
Source:			http://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.xz
Source1:		69-gammu-acl.rules
URL:			http://www.gammu.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		libbluez-devel cmake doxygen gettext-devel
BuildRequires:		curl-devel mysql-devel postgresql9.3-devel
BuildRequires:		python-devel
BuildRequires:		dbi-devel
BuildRequires:		usb1.0-devel
Obsoletes: 		%{name} < %version

%description
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.


%description -l de
Gammu kann etliche Dinge mit Mobiltelefonen tun, z. B.: Datenanrufe tätigen, 
das Adressbuch aktualisieren, den Kalender und ToDo Einträge ändern, SMS empfangen und 
senden, Klingeltöne und Bilder laden und empfangen (verschiedene Arten von Logos), 
Zeitsynchronisierung, den Netzmonitor aktivieren, WAP-Einstellungen und Lesezeichen 
verwalten und vieles mehr. Die Funktionen sind abhängig vom Telefon-Modell.


%package -n %libname
Summary: Mobile phones tools for Unix (Linux) and Win32 (libraries)
Group: System/Libraries
Requires: %name = %version

%description -n %libname
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%description -n %libname -l de
Gammu kann etliche Dinge mit Mobiltelefonen tun, z. B.: Datenanrufe tätigen, 
das Adressbuch aktualisieren, den Kalender und ToDo Einträge ändern, SMS empfangen und 
senden, Klingeltöne und Bilder laden und empfangen (verschiedene Arten von Logos), 
Zeitsynchronisierung, den Netzmonitor aktivieren, WAP-Einstellungen und Lesezeichen 
verwalten und vieles mehr. Die Funktionen sind abhängig vom Telefon-Modell.

%package -n %libnamedev
Summary:		Headers and pkgconfig file for Gammu development
Group:			Development/Other
Requires:		%libname = %version
Provides:		libgammu-devel = %version-%release
Provides:		%name-devel = %version-%release
Obsoletes:		%mklibname -d gammu 0.0
Obsoletes:		%mklibname -d gammu 1.0
Obsoletes:		libgammu3-devel

%description -n %libnamedev
This package contains the headers and pkgconfig file that programmers
will need to develop applications which will use libGammu.

%description -n %libnamedev -l de
Dieses Paket enthält die Header und pkgconfig Datei, die Programmierer benötigen, 
um Anwendungen, die libgammu Nutzung entwickeln wird.

%package -n python-%name
Summary:		Python module to communicate with mobile phones
Group:			Communications
Requires:		%name = %version
Requires:		python >= 2.6.6

%description -n python-%name
This provides gammu module, that can work with any phone Gammu
supports - many Nokias, Siemens, Alcatel, ...

%description -n python-%name -l de
Dies Paket enthält das gammu Modul, damit jedem Handy welches Gammu 
unterstützt arbeiten kann - viele Nokias, Siemens, Alcatel, ...
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -lrt" CXXFLAGS="$RPM_OPT_FLAGS -lrt"
%cmake -DINSTALL_LIB_DIR=%{_lib}
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%__mkdir_p %{buildroot}%{_sysconfdir}
%__sed -e 's|^port =.*$|port = /dev/ttyS0|' \
         -e 's|^connection =.*$|connection = dlr3|' \
         -e 's/$//' \
         < docs/config/gammurc > %{buildroot}%{_sysconfdir}/gammurc

mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d/
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/69-gammu-acl.rules


%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/gammurc
%{_sysconfdir}/bash_completion.d/gammu
%{_bindir}/gammu
%{_bindir}/gammu-smsd
%{_bindir}/gammu-smsd-inject
%{_bindir}/gammu-smsd-monitor
%{_bindir}/jadmaker
%{_mandir}/man1/gammu-detect.*
%{_mandir}/man1/gammu-smsd-inject.*
%{_mandir}/man1/gammu-smsd-monitor.1.*
%{_mandir}/man1/gammu-smsd.*
%{_mandir}/man1/gammu.*
%{_mandir}/man1/jadmaker.*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%{_sysconfdir}/udev/rules.d/69-gammu-acl.rules
%{_bindir}/gammu-detect
%{_datadir}/gammu/gammu-s60-remote.sis
%{_datadir}/gammu/gnapplet.ini
%{_datadir}/gammu/gnapplet.sis

   
%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_bindir}/gammu-config
%{_libdir}/*.so
%{_includedir}/gammu
%{_mandir}/man1/gammu-config.*
%{_libdir}/pkgconfig/*.pc

%files -n python-%name
%defattr(-,root,root)
%doc python/examples
%py_platsitedir/gammu

%clean
rm -rf %{buildroot}

%post -n %libname
/sbin/ldconfig

%postun -n %libname
/sbin/ldconfig


%changelog
* Wed Oct 14 2015 bb <bb> 1.35.0-1pclos2015
- update

* Sat Nov 15 2014 pinoc <vogtpet at gmail.com> 1.33.0-3pclos2014
- rebuild against postgresql9.3

* Fri Aug 16 2013 billybot <billybot> 1.33.0-2pclos2013
- update python 2.7

* Sun Jul 28 2013 Texstar <texstar at gmail.com> 1.33.0-1pclos2013
- 1.33.0

